Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-01 17:252021-06-16 08:13
ReporterdmiguelezView Statuspublic 
Assigned Topablobessone 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046936: JIRA-1763: Ticket Type color does not work with Translations

DescriptionIn the Window to Open previous Orders, the Type of the Order has different colors based on it's value.
However, when it is translated (from Receipt to Ticket, for example) it does not work.
Steps To ReproduceIt is necessary to install an extra translation module and/or to ensure that there is a translation for the language selected by the user for the records of the reference named 'POS Order Type' (In reference Window)

With that requirement met, in the POS.
Click on the Orders menu entry
Check the list of orders
Check that the values of the type column are not shown with different colors
Proposed SolutionIn the file TicketRemoteTypeCellRender.js

const getOrderType = value => {
  return (Terminal.orderType.find(type => type.id === value) || {}).name;
};

This is used to retrieve the css based on the orderType name.
Both the scss file and this method should be modified to use the searchKey (or id field) instead, which is not translated.

In OrderType.java is possible to see the data retrieved for this model.

This change must also be done (or something similar) in TicketLocalTypeCellRender.js file
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046990TAP closedpablobessone JIRA-1763: Ticket Type color does not work with Translations 

-  Notes
(0129366)
hgbot (developer)
2021-06-10 19:17

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/545 [^]
(0129544)
hgbot (developer)
2021-06-16 08:13

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: b0081412701f16750005c84dfb6909e7803ef841
Author: pablo.bessone <pablo.bessone@smfconsulting.es>
Date: 2021-06-16T06:13:14+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/b0081412701f16750005c84dfb6909e7803ef841 [^]

fixed ISSUE-0046936: now it checks for id instead of name when picking style for ticket type

---
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListLocalGrid/render/TicketLocalTypeCellRender.jsx
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListLocalGrid/render/TicketLocalTypeCellRender.scss
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListRemoteGrid/render/TicketRemoteTypeCellRender.jsx
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListRemoteGrid/render/TicketRemoteTypeCellRender.scss
---
(0129545)
hgbot (developer)
2021-06-16 08:13

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/545 [^]

- Issue History
Date Modified Username Field Change
2021-06-01 17:25 dmiguelez New Issue
2021-06-01 17:25 dmiguelez Assigned To => Retail
2021-06-01 17:25 dmiguelez Triggers an Emergency Pack => No
2021-06-01 17:26 dmiguelez Status new => acknowledged
2021-06-04 13:38 dmiguelez Summary Ticket Type color does not work with Translations => JIRA-1763: Ticket Type color does not work with Translations
2021-06-04 13:38 dmiguelez Status acknowledged => scheduled
2021-06-04 13:38 dmiguelez Status scheduled => acknowledged
2021-06-09 11:35 dmiguelez Status acknowledged => scheduled
2021-06-09 11:35 dmiguelez Assigned To Retail => pablobessone
2021-06-10 19:17 hgbot Note Added: 0129366
2021-06-16 08:13 hgbot Resolution open => fixed
2021-06-16 08:13 hgbot Status scheduled => closed
2021-06-16 08:13 hgbot Note Added: 0129544
2021-06-16 08:13 hgbot Note Added: 0129545


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker